WordPress Simple:Press plugin sérülékenységek

CH azonosító

CH-3153

Felfedezés dátuma

2010.05.23.

Súlyosság

Magas

Érintett rendszerek

Simple:Press plugin
WordPress

Érintett verziók

WordPress Simple:Press plugin

Összefoglaló

A WordPress Simple:Press bővítmény olyan sérülékenysége vált ismertté, amelyet kihasználva rosszindulatú felhasználók feltörhetik a sérülékeny rendszert és támadók megkerülhetnek bizonyos biztonsági korlátozásokat és feltörhetik a sérülékeny rendszert.

Leírás

A WordPress Simple:Press bővítmény olyan sérülékenysége vált ismertté, amelyet kihasználva rosszindulatú felhasználók feltörhetik a sérülékeny rendszert és támadók megkerülhetnek bizonyos biztonsági korlátozásokat és feltörhetik a sérülékeny rendszert.

  1. A hozzáférés az engedélyezett TinyBrowser komponenshez nincs megfelelően korlátozva. Ez kihasználható pl. bizonyos fájltípusok feltöltésére.
  2. A TinyBrowser komponens miatti hiba többféle kiterjesztéssel rendelkező fájlok feltöltését teszi lehetővé. Ez kihasználható tetszőleges PHP kód feltöltésére és futtatására.
  3. Az avatarok fájl feltöltéseinek kezelésében található hiba kihasználható tetszőleges PHP kód futtatására egy több kiterjesztéssel rendelkező, rosszindulatú PHP script feltöltésével.

A 2. és 3. sérülékenység sikeres kihasználásához szükség van egyes szerver beállítások meglétére (pl. Apache szerver telepített “mod_mime” modullal).

A sérülékenységeket a 4.1.3. előtti verziókban jelentették.

Megoldás

Frissítsen a legújabb verzióra